## radiusd-cistron 1.5.4.2-1

=== debian/changelog ===
radiusd-cistron (1.5.4.2-1) unstable; urgency=low

  * 99% of the packaging was allready done by the author: Miquel van
    Smoorenburg <miquels@cistron.nl>, so I guess the credit should go to
    him.. :)
  * Initial release of this package.

 -- Norbert Veber <nveber@debian.org>  Sat, 25 Jul 1998 16:42:15 -0400
